
Core - Bug # 36292

Bug # 46389 (Accepted): Faulty Workspace Placeholders

Status: New Priority: Should have
Author: Bart Dubelaar Category:
Created: 2012-04-18 Assigned To:
Updated: 2015-01-15 Due date:
TYPO3 Version: 4.5
PHP Version:
Complexity:
Is Regression: No
Sprint Focus:
Subject: Rolling back deletion of a draft element fails and will undelete the placeholder
Description

When rolling back the deletion of an element that was initially created in a draft workspace, then the undeletion fails. Instead, the
placeholder element will become visible in the live workspace.

Holds for version 4.5 and up.

Related issues:
related to Core - Bug # 21299: Can't restore a deleted page in draft workspace Accepted 2009-10-19

History
#1 - 2012-04-26 10:20 - Bart Dubelaar

I have tried to write a fix for this problem and stumbled upon the following problem:

When a new draft element is deleted, both the draft element and the placeholder are moved to the Live workspace in the delete action.
This makes it hard to undelete the elements. So I am very interested in why this move is done. Maybe someone else can give a look at this.
I already tried to find out who committed this initially, and after a lot of digging I found out it was a commit to svn by Kasper, with the following
informative message:

r835 | kasper | 2005-10-31 18:20:38 +0100 (Mon, 31 Oct 2005) | 2 lines
Todays special

:-)

#2 - 2013-03-17 21:09 - Oliver Hader
- Parent task set to #46389

#3 - 2015-01-15 12:36 - Mathias Schreiber
- Target version set to 7 LTS
- Is Regression set to No
